<?php
	//API SOLO DATAICO POR AHORA DE FORMA DIRECTA
	if (isset($_REQUEST['documento'])){$documento=$_REQUEST['documento'];}else{$documento="";}
		if (isset($_REQUEST['empresa'])){$empresa=$_REQUEST['empresa'];}else{$empresa="";}
		if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
		if (isset($_REQUEST['modo'])){$modo=$_REQUEST['modo'];}else{$modo="";}
		
		
	$syseli="Eliminado";
		$tipo="l";
		//$documento="NLB23";
		//$empresa="LIMBO";
		//$accion="NE";
		if($tipo=="l"){
			/*$query = "SELECT * FROM documentos where codigo='".$documento."' and codemp='".$empresa."' " ;*/
			if($accion=="NE"){
				$query = "select nomele.*,nomele.json as estructura,licemp.keynel as keyfel,licemp.openom as modope,prvtec.rutnel as rutfel,licemp.tesidne from nomele,licemp,prvtec where licemp.prvnel=prvtec.codprv and nomele.empresa=licemp.conedb and nomele.estado!='Eliminado' and nomele.codigo='".$documento."' and nomele.empresa='".$empresa."' ";	
			}
			if($accion=="FE"){			
				$query = "select documentos.*,licemp.keyfel,licemp.modope,prvtec.rutfel,licemp.prvfel from documentos,licemp,prvtec where licemp.prvfel=prvtec.codprv and documentos.codemp=licemp.conedb and documentos.estado!='Eliminado' and documentos.codigo='".$documento."' and documentos.codemp='".$empresa."' ";		
			}
			if($accion=="DS"){			
				$query = "select documentos_sp.*,licemp.keynel as keyfel,licemp.modope,prvtec.rutdsp as rutfel,licemp.prvfel from documentos_sp,licemp,prvtec where licemp.prvnel=prvtec.codprv and documentos_sp.codemp=licemp.conedb and documentos_sp.estado!='Eliminado' and documentos_sp.codigo='".$documento."' and documentos_sp.codemp='".$empresa."' ";		
			}
			//echo "hola";
			
			$conng = mysqli_connect('66.70.255.14','netempire_elsycb','Tm3Y@1CtWn67','netempire_elsy');
	   		$conng-> set_charset("utf8");
	   		if($result = $conng->query($query)) {
   				$nr= $result->num_rows;
				if($nr>=1){
					//Asigno estructura Json a variable vJson
					while($row=mysqli_fetch_assoc($result)) {
			       		$vJson =  $row["estructura"];
						$vRuta = $row["rutfel"];
						$vToken= $row["keyfel"];
           	   		} mysqli_free_result($result);
					if($modo=="C"){
						if($accion=="DS"){
							$vRuta =$vRuta."?number=".$documento;
							}
					}
					//echo $vJson;
					// Inicializar la petición
					$curl = curl_init();
					// Serializar o pasar la factura a JSON
					//$isvInvoice = json_encode($vJson);
					$isvInvoice = $vJson;
					//echo $isvInvoice;
					/**
					 * - Enviar una factura a la DIAN, en modo pruebas
					 * - Realizar request por metodo POST
 					*/
					if($modo!="C"){
					curl_setopt_array($curl, array(
    				CURLOPT_URL =>  $vRuta,
    				CURLOPT_RETURNTRANSFER => true,
    				CURLOPT_ENCODING => "",
    				CURLOPT_MAXREDIRS => 10,
    				CURLOPT_TIMEOUT => 30,
    				CURLOPT_POST => 1,
    				CURLOPT_POSTFIELDS => $isvInvoice,
    				CURLOPT_HTTPHEADER => array(
					// Adicionar cabeceras de autenticación con token Bearer generado  en el panel izquierdo
       				 "auth-token: ".$vToken,
					 //"x-api-key: key-f40695c4e66c43aeb3e2a05c854ced08-001981",
					// Tipo de requerimiento formato json
       				 "content-type: application/json",
        			 "cache-control: no-cache",
        			 "accept: application/json"
   					 )
					));
					}
					if($modo=="C"){
						echo $vRuta;
					curl_setopt_array($curl, array(
    				CURLOPT_URL =>  $vRuta,
    				CURLOPT_RETURNTRANSFER => true,
    				CURLOPT_HTTPHEADER => array(
					// Adicionar cabeceras de autenticación con token Bearer generado  en el panel izquierdo
       				 "auth-token: ".$vToken,
					 //"x-api-key: key-f40695c4e66c43aeb3e2a05c854ced08-001981",
					// Tipo de requerimiento formato json
       				 "content-type: application/json",
        			 "cache-control: no-cache",
        			 "accept: application/json"
   					 )
					));
					}
					//echo "antes de exe curl";
					// Ejecutar la petición
					$response = curl_exec($curl);
					// Almacenar error en caso de que exista
					$err = curl_error($curl);
					// Mostar respuesta o error si hubo alguno
					if ($err) {
   						 echo "error -> " . $err;
						 // Terminar petición
						curl_close($curl);
					} else {
    					echo $response;
						//$jSon=file_get_contents($response);
						$datos=json_decode($response,true); 
						//var_dump($datos);
						$rPdf="";
						$rXml="";
						$cufe="";
						$qr="";
						foreach($datos as $index => $value ){
							echo "$index:$value <br>";
							if(strcmp($index,"pdf_url")==0){
								$rPdf=$value;
							}
							if(strcmp($index,"xml_url")==0){
								$rXml=$value;
							}
							if(strcmp($index,"cufe")==0){
								$cufe=$value;
							}
							if(strcmp($index,"qrcode")==0){
								$qr=$value;
							}
						}
						echo $rPdf.$cufe.$qr.$rXml;
						// Terminar petición
						curl_close($curl);
						
					}
				}
				return $vJson;
			}
	   }
?>